/**
 * output package name
 */
package com.kingdee.eas.custom.expandassess.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class ExpandStatusEunm extends StringEnum
{
    public static final String UNSTART_VALUE = "1";//alias=未启动考核
    public static final String START_VALUE = "2";//alias=已启动考核
    public static final String ASSESUBMINT_VALUE = "3";//alias=考核人已提交
    public static final String PRINCIPALSUBMIT_VALUE = "4";//alias=负责人已提交

    public static final ExpandStatusEunm UNSTART = new ExpandStatusEunm("UNSTART", UNSTART_VALUE);
    public static final ExpandStatusEunm START = new ExpandStatusEunm("START", START_VALUE);
    public static final ExpandStatusEunm ASSESUBMINT = new ExpandStatusEunm("ASSESUBMINT", ASSESUBMINT_VALUE);
    public static final ExpandStatusEunm PRINCIPALSUBMIT = new ExpandStatusEunm("PRINCIPALSUBMIT", PRINCIPALSUBMIT_VALUE);

    /**
     * construct function
     * @param String expandStatusEunm
     */
    private ExpandStatusEunm(String name, String expandStatusEunm)
    {
        super(name, expandStatusEunm);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static ExpandStatusEunm getEnum(String expandStatusEunm)
    {
        return (ExpandStatusEunm)getEnum(ExpandStatusEunm.class, expandStatusEunm);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(ExpandStatusEunm.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(ExpandStatusEunm.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(ExpandStatusEunm.class);
    }
}